'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _antd = require('antd');

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _loginform = require('./loginform.css');

var _loginform2 = _interopRequireDefault(_loginform);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var FormItem = _antd.Form.Item;

var NormalLoginForm = function (_React$Component) {
    _inherits(NormalLoginForm, _React$Component);

    function NormalLoginForm(props) {
        _classCallCheck(this, NormalLoginForm);

        var _this = _possibleConstructorReturn(this, (NormalLoginForm.__proto__ || Object.getPrototypeOf(NormalLoginForm)).call(this, props));

        var value = _this.props.styles;

        _this.state = {
            styles: value
        };
        return _this;
    }

    _createClass(NormalLoginForm, [{
        key: 'render',
        value: function render() {
            var _props$form = this.props.form,
                getFieldDecorator = _props$form.getFieldDecorator,
                validateFields = _props$form.validateFields;


            var handleSubmit = function handleSubmit(e) {
                e.preventDefault();
                validateFields(function (err, values) {
                    if (!err) {
                        console.log('Received values of form: ', values);
                    }
                });
            };
            return _react2.default.createElement(
                _antd.Form,
                { onSubmit: handleSubmit, className: _loginform2.default.loginForm },
                _react2.default.createElement(
                    FormItem,
                    null,
                    getFieldDecorator('userName', {
                        rules: [{ required: true, message: '请输入用户名!' }]
                    })(_react2.default.createElement(_antd.Input, { prefix: _react2.default.createElement(_antd.Icon, { type: 'user', style: { fontSize: 13 } }), placeholder: '\u8BF7\u8F93\u5165\u7528\u6237\u540D' }))
                ),
                _react2.default.createElement(
                    FormItem,
                    null,
                    getFieldDecorator('password', {
                        rules: [{ required: true, message: '请输入密码！' }]
                    })(_react2.default.createElement(_antd.Input, { prefix: _react2.default.createElement(_antd.Icon, { type: 'lock', style: { fontSize: 13 } }), type: 'password', placeholder: '\u8BF7\u8F93\u5165\u5BC6\u7801' }))
                ),
                _react2.default.createElement(
                    FormItem,
                    null,
                    getFieldDecorator('remember', {
                        valuePropName: 'checked',
                        initialValue: true
                    })(_react2.default.createElement(
                        _antd.Checkbox,
                        null,
                        '\u8BB0\u4F4F\u6211'
                    )),
                    _react2.default.createElement(
                        'a',
                        { className: _loginform2.default.loginFormForgot, href: '' },
                        '\u5FD8\u8BB0\u5BC6\u7801'
                    ),
                    _react2.default.createElement(
                        _antd.Button,
                        { type: 'primary', htmlType: 'submit', className: _loginform2.default.loginFormButton },
                        '\u767B\u5F55'
                    ),
                    _react2.default.createElement(
                        'a',
                        { href: '' },
                        '\u73B0\u5728\u5F00\u59CB\u6CE8\u518C'
                    )
                )
            );
        }
    }]);

    return NormalLoginForm;
}(_react2.default.Component);

NormalLoginForm.propTypes = {};

exports.default = NormalLoginForm;
//# sourceMappingURL=loginformcomponent.js.map